<template>
    <div class="weizhang-box">
        <!--<div class="weizhang-header">-->
            <!--<div class="iconfont leftjiantou">&#xe606;</div>-->
            <!--<div class="text"><h1>峰峰矿区综合行政执法局</h1></div>-->
            <!--<div class="right"></div>-->
        <!--</div>-->
        <div class="weizhang-main-box">
            <div class="weizhang-main-top">
                <img class="logoPhone" src="../../assets/images/logoImg.png" alt="">
                <span class="money">￥{{this.statisticData.price}}</span>
                <span class="weizhang">测试收费</span>
            </div>
            <div class="weizhang-main-bootom">
                <div class="weizhang-main-form">
                    <el-form label-width="100px" :model="statisticData" label-position="left">
                        <el-form-item label="车牌号" style="margin-left: 25px;">
                            {{this.statisticData.carNo}}
                        </el-form-item>
                        <el-form-item label="进场时间" style="margin-left: 25px;">
                            {{this.statisticData.enterTime}}
                        </el-form-item>
                        <el-form-item label="出场时间" style="margin-left: 25px;">
                            {{this.statisticData.createTime}}
                        </el-form-item>
                        <el-form-item label="停留时间" style="margin-left: 25px;">
                            {{this.statisticData.timeStr}}
                        </el-form-item>
                        <el-form-item label="位置" style="margin-left: 25px;">
                            {{this.statisticData.parkName}}
                        </el-form-item>
                        <el-form-item label="订单号" style="margin-left: 25px;">
                            {{this.statisticData.code}}
                            <!--<el-input v-model="statisticData.code" readonly></el-input>-->
                        </el-form-item>
                        <el-form-item style="display: flex;justify-content: center;margin-top: 4.498vh" label-width="0" v-show="showFlag">
                            <el-button class="jiaofei-btn" type="primary" @click="pay()" :loading="payFlag">去缴费</el-button>
                        </el-form-item>
                    </el-form>
<!--                    <el-form label-width="100px" label-position="left">-->
<!--                        <el-form-item label="请输入手机号" style="margin-left: 5px;">-->
<!--                            <el-input v-model="carNo" placeholder="请输入手机号"></el-input>-->
<!--                        </el-form-item>-->
<!--                        <el-form-item style="display: flex;justify-content: center;margin-top: 2px" label-width="0">-->
<!--                            <el-button class="jiaofei-btn" type="primary" @click="noCarOut()" v-show="showFlag">无牌出场缴费</el-button>-->
<!--                        </el-form-item>-->
<!--                    </el-form>-->

                </div>

            </div>
        </div>

    </div>
</template>

<script>
    export default {
        name: 'dashboard',
        data() {
            return {
                payFlag:false,
                outParkId:"",
                statisticData:{

                },
                showFlag:true,
                showFlag2:true,
                status3:0,
                carNo:"",
                code2:""
            }
        },
        created(){
            var url = window.location.href;
            var cs = url.split('?')[1];
            var cs_arr = cs.split('&');
            var cs={};
            for(var i=0;i<cs_arr.length;i++){
                cs[cs_arr[i].split('=')[0]] = cs_arr[i].split('=')[1]
            }
            //this.outParkId = cs.code;
            this.code2 = cs.code;
            this.$byutil.postData(this, this.$systemconfig.basePath + '/outPark/findByBarrierCode', {code:cs.code}, res => {
                this.statisticData = res.data;
                this.outParkId = this.statisticData.id;
                this.status3 = this.statisticData.status3;
                this.payFlag = false
                if(this.status3==1){
                    this.$message({
                        message: '您有违章未处理，请先处理或联系停车场管理人员',
                        type: 'error',
                        duration:5000,
                    });
                }
            })
        },
        methods: {
            pay(){
                this.payFlag = true;
                if(this.status3==1){
                    this.$message({
                        message: '您有违章未处理，请先处理或联系停车场管理人员',
                        type: 'error',
                        duration:3000,
                    });
                    return;
                }
                this.$byutil.postData(this, this.$systemconfig.basePath + '/ffzf/api/park', {id:this.outParkId}, res => {
                    this.$message({
                        message: '2秒后自动跳转到支付页面，防止内外网数据同步延迟，请稍等',
                        type: 'success',
                        duration:2000,
                    });
                  setTimeout(function(){window.location.href = res.msg;},2000);
                    this.showFlag = false;
                })
            },
            noCarOut(){
                if(this.carNo){
                    this.$byutil.postData(this, this.$systemconfig.basePath + '/outPark/outPark2', {code2:this.code2,carNo:this.carNo}, res => {
                        if(res.success){
                            this.outParkId = res.data.id;
                            this.pay();
                            this.showFlag = false;
                        }else{
                            this.$message({
                                message: res.msg, type: 'error', duration:2000,
                            });
                        }

                    })
                }else{
                    this.$message({
                        message: '请输入手机号',
                        type: 'error',
                        duration:2000,
                    });
                }

            },
        }
    }

</script>


<style lang="scss">
    .weizhang-main-bootom{
    .el-input__inner{
        border:none;
    }
    .el-form-item__label{
        color: #999999;
    }
    }

</style>
<style lang="scss" scoped>
    h1,h2,h3,h4,h5{
        font-family: '苹方 中等';
        font-weight: normal;
    }
    .weizhang-header{
        display: flex;
        height: 12.8vw  /* 96/7.5 */;
        align-items: center;
        border-bottom:1px solid rgba(154,154,154,0.2);
    .text{
        flex: 1;
        text-align: center;
    h1{
        font-size: 2.699vh  /* 36/13.34 */;
    }
    }
    .right{
        width: 6.747vh  /* 90/13.34 */;
    }
    .leftjiantou{
        font-size: 5.33vw;
        width: 6.747vh  /* 90/13.34 */;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    }
    .weizhang-main-box{
        width: 100%;
        display: flex;
        flex-direction: column;
        padding:5.33vw  /* 40/7.5 */;
    }
    .weizhang-main-top{
        height: 22.489vh  /* 300/13.34 */;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    .money{
        font-size: 6.93vw  /* 52/7.5 */;
        font-weight: 550;
    }
    .weizhang{
        font-size: 4.8vw  /* 36/7.5 */;
        margin-top:1.33vw  /* 10/7.5 */;
    }
    }
    .weizhang-main-form{
    }
    .weizhang-tiaokuan{
        margin-top: 2.67vw  /* 20/7.5 */;
    h1{
        font-size:3.2vw  /* 24/7.5 */;
        color: #999999;
        text-indent: 2.5em;
        line-height: 2;
    }
    }
    .jiaofei-btn{
        width: 64.53vw  /* 484/7.5 */;
        border-radius: 5.33vw  /* 40/7.5 */;
        background-image: linear-gradient(to right,#33b1fe,#0679dc);
    }

    .logoPhone{
        margin-top: 0.67vw;
        width: 20vw  /* 180/7.5 */;
        height: 20vw  /* 180/7.5 */;
    }
    .el-form-item--mini.el-form-item, .el-form-item--small.el-form-item {
        margin-bottom: 10px;
    }
</style>
